Description

Hello guys !

I'm trying to get information from audtool, but it doesn't work using cron schedule.

I'm on Archlinux 4.11.7-1-ARCH

Step to reproduce :

1/ Start Audacious, and play some audio files -should be already done :)

2/ Take the script in attachment and put it in /tmp. Make it executable (chmod +x)

3/ Execute it : you get something like :

PID Audacious : 3362

audstat : playing

paused : 1

playing : 0

4/ do an crontab -e and put a line :

*/1 * * * * /tmp/test_cron_audtool.sh > /dev/null

5/ Wait next cron execution, and check the content of /tmp/aud-status. I have :

PID Audacious : 3362

audstat :

paused : 1

playing : 1

-> This is not expected, I should get same as 3/

As I get some values, there's no errors in cron, and audtool is executed (getting paused and playing values, even if they're wrong).

Any ideas ?

P.S. : delete the line in your cron.

History

#1 - July 05, 2017 03:49 - John Lindgren

- Tracker changed from Bug to Support

Are you running the cron job from the same D-Bus session as Audacious?

#2 - July 08, 2017 10:48 - Anonymous

Well, audacious and my crontab -e are on the same session. How can I check that d-bus session is the same ?

#3 - July 08, 2017 16:20 - John Lindgren

Sylvain LABOISNE wrote:
Well, audacious and my crontab -e are on the same session. How can I check that d-bus session is the same ?

 

echo $DBUS_SESSION_BUS_ADDRESS

#4 - July 08, 2017 16:51 - Anonymous

unix:path=/run/user/1000/bus

1000 is me according to /etc/passwd

#5 - July 10, 2017 05:01 - John Lindgren

That's set in your cron script as well?

#6 - July 10, 2017 19:26 - Anonymous

Do I need to put something else to set dbus session ?

I tried :

DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus;/to/my/script > /dev/null

No better results.

#7 - July 11, 2017 04:10 - John Lindgren

I'm not sure if it will solve the issue, but I think you need to remove the semicolon in the middle of that command.

#8 - July 12, 2017 19:49 - Anonymous

My mistake.

Indeed, it works now, the problem comes from the cron job that don't know my dbus session, putting that in crontab -e fixed it :

*/1 * * * * DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus /path/to/my/script

To know what to put after the "=", do a :

echo $DBUS_SESSION_BUS_ADDRESS

Thanks for help and for this great media player ! You can close this support issue.

#9 - July 13, 2017 02:18 - John Lindgren

- Status changed from New to Closed

Files

test_cron_audtool.sh 346 Bytes July 02, 2017 Anonymous
